POST
/api/v1/group
curl \
--request POST 'https://api.plannrcrm.com/api/v1/group' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{
"name": "Accounting",
"participants": [
"e058c034-0171-43ea-9323-b9e8b89f80f6",
"671449c0-ef84-4d13-8c91-92e68cfaa62b",
"6f4abfe8-96b5-4e1b-9615-e40bb5d998fb"
],
"business_unit": "31bb5f99-16b7-4b63-9b43-b96fcc0f8efd"
}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"name": "Accounting",
"participants": [
"e058c034-0171-43ea-9323-b9e8b89f80f6",
"671449c0-ef84-4d13-8c91-92e68cfaa62b",
"6f4abfe8-96b5-4e1b-9615-e40bb5d998fb"
],
"business_unit": "31bb5f99-16b7-4b63-9b43-b96fcc0f8efd"
}
Response examples (200)
[
{
"uuid": "bd336058-4696-4c31-b298-5751e0a41aba",
"name": "finance",
"slug": "finance",
"participants_count": "3",
"participants": {
"uuid": {
"example": "ceed83ba-d784-4777-8be9-51af804b8359",
"description": "UUID of the account"
},
"role": {
"example": "client",
"description": "Role of the account"
},
"first_name": {
"example": "Gareth",
"description": "First name of the account"
},
"last_name": {
"example": "Thompson",
"description": "Last name of the account"
},
"name": {
"example": "Gareth Thompson",
"description": "Name of the account"
},
"email": {
"example": "gareth@codepotato.co.uk",
"description": "Email of the account"
}
},
"created_at": "2026-11-17T20:47:10+00:00",
"updated_at": "2026-11-17T20:47:10+00:00"
}
]
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}